Loading...
Searching...
No Matches
_addrxlat_map Struct Reference

Internal definition of an address translation map. More...

`#include <addrxlat-priv.h>`

## Data Fields

unsigned long | refcnt
| Reference counter.
size_t | n
| Number of elements in `ranges`.
addrxlat_range_t * | ranges
| Actual range definitions.

## Detailed Description

Internal definition of an address translation map.

Note that the start address does not have to be stored in the structure. The first range in a map starts at address 0, and each following range starts right after the previous one (i.e. at `endoff` + 1).

The documentation for this struct was generated from the following file:

- src/addrxlat/addrxlat-priv.h